<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ManBase/DayZPlayer/DayZPlayerCameraVehicles.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d7c/_day_z_player_camera_vehicles_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">DayZPlayerCameraVehicles.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// *************************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">// ! DayZPlayerCamera1stPersonVehicle - first person in vehicle</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">// *************************************************************************************</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d0/d7a/class_day_z_player_camera1st_person.html">    4</a></span><span class="keyword">class </span>DayZPlayerCamera1stPersonVehicle <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/d7a/class_day_z_player_camera1st_person.html">DayZPlayerCamera1stPerson</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d0/d7a/class_day_z_player_camera1st_person.html#ad521c450084cc752dcaae33130b9caa9">    6</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d7a/class_day_z_player_camera1st_person.html#ad521c450084cc752dcaae33130b9caa9">OnUpdate</a>(<span class="keywordtype">float</span> pDt, out <a class="code hl_class" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a> pOutResult)</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        super.OnUpdate(pDt, pOutResult);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        pOutResult.m_fUseHeading        = 0.0;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>}</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">// *************************************************************************************</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">// ! DayZPlayerCamera3rdPersonVehicle - 3rd person in vehicle (generic)</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment">// *************************************************************************************</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="keyword">class </span><a class="code hl_function" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a24a309bcd5676bce950b1f4068864c86">DayZPlayerCamera3rdPersonVehicle</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../da/d73/class_day_z_player_camera_base.html">DayZPlayerCameraBase</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a92dba7f02085ec98126f4e9f090c89f1">   19</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span>  <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#aa59814833643a675cf580aa2bc0314bf">CONST_UD_MIN</a>    = -85.0;        </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a4e15292c0485bdae55b4ca339aa450c8">   20</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span>  <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a4e15292c0485bdae55b4ca339aa450c8">CONST_UD_MAX</a>    = 85.0;         </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5d6c5c9f3cb694f50d794bd50a1f1cd3">   22</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span>  <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a5d6c5c9f3cb694f50d794bd50a1f1cd3">CONST_LR_MIN</a>    = -160.0;       </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a7c62592d6f09d56c99c2d8f7b7bfa8cf">   23</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span>  <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a7c62592d6f09d56c99c2d8f7b7bfa8cf">CONST_LR_MAX</a>    = 160.0;        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#ab23712a8bed3b8d9696244631b2961c5">   25</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#ab23712a8bed3b8d9696244631b2961c5">CONST_ANGULAR_LAG_YAW_STRENGTH</a>   = 4;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a55240dac7e561d82b5d0f361780a617b">   26</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a55240dac7e561d82b5d0f361780a617b">CONST_ANGULAR_LAG_PITCH_STRENGTH</a> = 1.5;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a24a309bcd5676bce950b1f4068864c86">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a24a309bcd5676bce950b1f4068864c86">DayZPlayerCamera3rdPersonVehicle</a>( DayZPlayer pPlayer, <a class="code hl_class" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="comment">//Print(&quot;new camera: DayZPlayerCamera3rdPersonVehicle&quot;);</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a5aab5f37d2ece729777e698c49dd1395">m_fDistance</a>         = 4.0;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ac4686aa51bae4031b84b18735efab3cf">m_CameraOffsetMS</a>    = <span class="stringliteral">&quot;0.0 1.3 0.0&quot;</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_class" href="../../d1/d1f/class_human_command_vehicle.html">HumanCommandVehicle</a> vehicleCommand = pPlayer.GetCommand_Vehicle();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> ( vehicleCommand )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <a class="code hl_class" href="../../d3/d36/class_transport.html">Transport</a> transport = vehicleCommand.<a class="code hl_function" href="../../d1/d1f/class_human_command_vehicle.html#a18b717b3c3242230c10df1b46beb7159">GetTransport</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">if</span> ( transport )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa413452c118357e4d04733037afa33bc">m_Transport</a>         = transport;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a5aab5f37d2ece729777e698c49dd1395">m_fDistance</a>         = transport.GetTransportCameraDistance();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <a class="code hl_variable" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ac4686aa51bae4031b84b18735efab3cf">m_CameraOffsetMS</a>    = transport.GetTransportCameraOffset();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a07555527db4ba7d2ca221e38e48d8c9d">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a>( <a class="code hl_function" href="../../d3/d58/dayzplayer_8c.html#aec7df242d6c8a470331cdb4d38bb4ab4">DayZPlayerCamera</a> pPrevCamera, <a class="code hl_class" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a> pPrevCameraResult )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> (pPrevCamera)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>  f = pPrevCamera.GetBaseAngles();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a8c964c0226b8a1a695e2917d468342bf">m_fUpDownAngle</a>      = f[0]; </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a74cf8859007b9001c09ebab24e1856ce">m_fLeftRightAngle</a>   = f[1]; </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a58960fc790b83be163478ca6411e95be">m_fUpDownAngleAdd</a>   = f[2];</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a> = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a150e4ced5563248701962a04d2afd9de">m_fLagOffsetVelocityX</a>[0] = 0;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a30783c7528d0e3819ba75923831cc9b2">m_fLagOffsetVelocityY</a>[0] = 0;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a671ab93059a7416024074b87f75a0af2">m_fLagOffsetVelocityZ</a>[0] = 0;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a33ce173bffe5efbb8e2e1af06a594805">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dc3/group___tools.html#gab414e48870421e21bf5553f4033493b0">OnUpdate</a>( <span class="keywordtype">float</span> pDt, out <a class="code hl_class" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a> pOutResult )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> playerTransformWS[4];</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a84d97e109f93693b18a98f01971bb1ad">m_pPlayer</a>.GetTransform(playerTransformWS);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> vehicle = <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa413452c118357e4d04733037afa33bc">m_Transport</a>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        pOutResult.m_CollisionIgnoreEntity = vehicle;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> cameraPosition = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span> ( vehicle )</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> vehiclePositionWS = vehicle.<a class="code hl_function" href="../../d3/d14/group___entity_attributes.html#ga7a602543dd777930a13b8624d6c65b36">GetOrigin</a>();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> vehiclePositionMS = vehiclePositionWS.<a class="code hl_function" href="../../d7/dfc/classvector.html#a0efaf736c81403ae7995d750442e7213">InvMultiply4</a>(playerTransformWS);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            cameraPosition = vehiclePositionMS + <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#af2f9ec60ef29bd4f1928685748d5d2cd">m_CameraOffsetMS</a>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordtype">float</span> udAngle       = <a class="code hl_function" href="../../d3/dd8/_day_z_player_camera___base_8c.html#ae9475fb9f56d8508d7f87d20aae0a5a2">UpdateUDAngle</a>(<a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a8c964c0226b8a1a695e2917d468342bf">m_fUpDownAngle</a>, <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a58960fc790b83be163478ca6411e95be">m_fUpDownAngleAdd</a>, <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#aa59814833643a675cf580aa2bc0314bf">CONST_UD_MIN</a>, <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a4e15292c0485bdae55b4ca339aa450c8">CONST_UD_MAX</a>, pDt);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a74cf8859007b9001c09ebab24e1856ce">m_fLeftRightAngle</a>   = <a class="code hl_function" href="../../d3/dd8/_day_z_player_camera___base_8c.html#a81c88a1a4620503a53c8a11a368e4e3f">UpdateLRAngle</a>(<a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a74cf8859007b9001c09ebab24e1856ce">m_fLeftRightAngle</a>, <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a5d6c5c9f3cb694f50d794bd50a1f1cd3">CONST_LR_MIN</a>, <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a7c62592d6f09d56c99c2d8f7b7bfa8cf">CONST_LR_MAX</a>, pDt);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_variable" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a8203c3f3fbccb8a905f60312602a775d">m_fRoll</a>             = 0;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> posDiffLS = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orientDiff =  <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">if</span> ( vehicle )</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> posDiffWS = <a class="code hl_function" href="../../d7/d1e/group___rigid_body.html#ga3e827787960ad4f9fd63618e6bf20e8a">GetVelocity</a>(vehicle) * pDt;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            posDiffLS = posDiffWS.<a class="code hl_function" href="../../d7/dfc/classvector.html#aacb468e25c49cbc012daf8933f81383c">InvMultiply3</a>(playerTransformWS);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            orientDiff = <a class="code hl_function" href="../../d7/d1e/group___rigid_body.html#gaeb67acf9489482364efa03358027e249">dBodyGetAngularVelocity</a>(vehicle) * pDt * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">RAD2DEG</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        }       </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a>[0] = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gae5ee54bb2c75e1edd71b0c0feef2b01b">SmoothCD</a>(<a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a>[0], posDiffLS[0], <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a150e4ced5563248701962a04d2afd9de">m_fLagOffsetVelocityX</a>, 0.3, 1000, pDt);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a>[1] = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gae5ee54bb2c75e1edd71b0c0feef2b01b">SmoothCD</a>(<a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a>[1], posDiffLS[1], <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a30783c7528d0e3819ba75923831cc9b2">m_fLagOffsetVelocityY</a>, 0.3, 1000, pDt);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a>[2] = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gae5ee54bb2c75e1edd71b0c0feef2b01b">SmoothCD</a>(<a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a>[2], posDiffLS[2], <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a671ab93059a7416024074b87f75a0af2">m_fLagOffsetVelocityZ</a>, 0.3, 1000, pDt);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5e4b34e7688bea3621ab9e2bf050c83a">m_LagOffsetOrientation</a>[0] = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gae5ee54bb2c75e1edd71b0c0feef2b01b">SmoothCD</a>(<a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5e4b34e7688bea3621ab9e2bf050c83a">m_LagOffsetOrientation</a>[0], orientDiff[0], <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#addfc13f55cec998d9d29977e167b3471">m_fLagOffsetVelocityYaw</a>, 0.3, 1000, pDt);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5e4b34e7688bea3621ab9e2bf050c83a">m_LagOffsetOrientation</a>[1] = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gae5ee54bb2c75e1edd71b0c0feef2b01b">SmoothCD</a>(<a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5e4b34e7688bea3621ab9e2bf050c83a">m_LagOffsetOrientation</a>[1], orientDiff[1], <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a575242dfe0904c8ea7d17d70bfe9eea0">m_fLagOffsetVelocityPitch</a>, 0.3, 1000, pDt);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> rot;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        rot[0] = <a class="code hl_variable" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a74cf8859007b9001c09ebab24e1856ce">m_fLeftRightAngle</a> + <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#ab23712a8bed3b8d9696244631b2961c5">CONST_ANGULAR_LAG_YAW_STRENGTH</a> * <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5e4b34e7688bea3621ab9e2bf050c83a">m_LagOffsetOrientation</a>[0];</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        rot[1] = udAngle + <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a55240dac7e561d82b5d0f361780a617b">CONST_ANGULAR_LAG_PITCH_STRENGTH</a> * <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5e4b34e7688bea3621ab9e2bf050c83a">m_LagOffsetOrientation</a>[1];</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        rot[2] = <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#a74a135f3e9271990f066deaa4ee1b5e0">m_fRoll</a>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_class" href="../../d5/dc8/group___math3_d_a_p_i.html#da/d94/class_math3_d">Math3D</a>.<a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga91222ac45b26b806e50d1d77268114de">YawPitchRollMatrix</a>(rot, pOutResult.m_CameraTM);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        pOutResult.m_CameraTM[3] = cameraPosition - <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        pOutResult.m_fDistance          = <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#ae2cd3be5771ad219167942dbdc914010">m_fDistance</a>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        pOutResult.m_fUseHeading        = 0.0;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        pOutResult.m_fInsideCamera      = 0.0;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        pOutResult.m_fIgnoreParentRoll  = 1.0;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <a class="code hl_function" href="../../d3/dd8/_day_z_player_camera___base_8c.html#a589903243b2ce2813cb247cc13c8ff58">StdFovUpdate</a>(pDt, pOutResult);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        super.OnUpdate(pDt, pOutResult);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }   </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aed618b13e20b04013adc1077f0c233b1">  130</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../da/d73/class_day_z_player_camera_base.html#a7efbf40fc09b040ad1b1471ed3ddb152">GetBaseAngles</a>()</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> a;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        a[0] = <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#a5b7f02ff7c9ef90bda6e6488a5ffb029">m_fUpDownAngle</a>;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        a[1] = <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#ab153b2bf470892517b79314032728237">m_fLeftRightAngle</a>;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        a[2] = <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#a110820ab01cf1010846e327564558865">m_fUpDownAngleAdd</a>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordflow">return</span> a;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#ac4686aa51bae4031b84b18735efab3cf">  140</a></span>    <span class="keyword">protected</span>   <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>  <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#af2f9ec60ef29bd4f1928685748d5d2cd">m_CameraOffsetMS</a>;   </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#ae379fe9513c65e9a4dfe646f3c0c0006">  141</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#ae2cd3be5771ad219167942dbdc914010">m_fDistance</a>;        </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a8203c3f3fbccb8a905f60312602a775d">  142</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#a74a135f3e9271990f066deaa4ee1b5e0">m_fRoll</a>;            </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a8c964c0226b8a1a695e2917d468342bf">  145</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#a5b7f02ff7c9ef90bda6e6488a5ffb029">m_fUpDownAngle</a>;     </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a58960fc790b83be163478ca6411e95be">  146</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#a110820ab01cf1010846e327564558865">m_fUpDownAngleAdd</a>;  </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a74cf8859007b9001c09ebab24e1856ce">  147</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../da/d73/class_day_z_player_camera_base.html#ab153b2bf470892517b79314032728237">m_fLeftRightAngle</a>;  </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">  150</a></span>    <span class="keyword">protected</span>   <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>  <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5e4b34e7688bea3621ab9e2bf050c83a">  151</a></span>    <span class="keyword">protected</span>   <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>  <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5e4b34e7688bea3621ab9e2bf050c83a">m_LagOffsetOrientation</a>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a150e4ced5563248701962a04d2afd9de">  152</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a150e4ced5563248701962a04d2afd9de">m_fLagOffsetVelocityX</a>[1];</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a30783c7528d0e3819ba75923831cc9b2">  153</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a30783c7528d0e3819ba75923831cc9b2">m_fLagOffsetVelocityY</a>[1];</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a671ab93059a7416024074b87f75a0af2">  154</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a671ab93059a7416024074b87f75a0af2">m_fLagOffsetVelocityZ</a>[1];</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#addfc13f55cec998d9d29977e167b3471">  155</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#addfc13f55cec998d9d29977e167b3471">m_fLagOffsetVelocityYaw</a>[1];</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a575242dfe0904c8ea7d17d70bfe9eea0">  156</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a575242dfe0904c8ea7d17d70bfe9eea0">m_fLagOffsetVelocityPitch</a>[1];</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a8ce8a949f867219b939076c38dfd7ad5">  157</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a8ce8a949f867219b939076c38dfd7ad5">m_fLagOffsetVelocityRoll</a>[1];</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa413452c118357e4d04733037afa33bc">  160</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d3/d36/class_transport.html">Transport</a> <a class="code hl_variable" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa413452c118357e4d04733037afa33bc">m_Transport</a>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>}</div>
<div class="ttc" id="a_day_z_player_camera1st_person_8c_html_a4e15292c0485bdae55b4ca339aa450c8"><div class="ttname"><a href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a4e15292c0485bdae55b4ca339aa450c8">CONST_UD_MAX</a></div><div class="ttdeci">static const float CONST_UD_MAX</div><div class="ttdoc">up limit</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00101">DayZPlayerCamera1stPerson.c:101</a></div></div>
<div class="ttc" id="a_day_z_player_camera1st_person_8c_html_a58960fc790b83be163478ca6411e95be"><div class="ttname"><a href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a58960fc790b83be163478ca6411e95be">m_fUpDownAngleAdd</a></div><div class="ttdeci">protected float m_fUpDownAngleAdd</div><div class="ttdoc">up down angle in rad</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00184">DayZPlayerCamera1stPerson.c:184</a></div></div>
<div class="ttc" id="a_day_z_player_camera1st_person_8c_html_a5d6c5c9f3cb694f50d794bd50a1f1cd3"><div class="ttname"><a href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a5d6c5c9f3cb694f50d794bd50a1f1cd3">CONST_LR_MIN</a></div><div class="ttdeci">static const float CONST_LR_MIN</div><div class="ttdoc">down limit</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00103">DayZPlayerCamera1stPerson.c:103</a></div></div>
<div class="ttc" id="a_day_z_player_camera1st_person_8c_html_a74cf8859007b9001c09ebab24e1856ce"><div class="ttname"><a href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a74cf8859007b9001c09ebab24e1856ce">m_fLeftRightAngle</a></div><div class="ttdeci">protected float m_fLeftRightAngle</div><div class="ttdoc">left right angle in rad (in freelook only)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00185">DayZPlayerCamera1stPerson.c:185</a></div></div>
<div class="ttc" id="a_day_z_player_camera1st_person_8c_html_a7c62592d6f09d56c99c2d8f7b7bfa8cf"><div class="ttname"><a href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a7c62592d6f09d56c99c2d8f7b7bfa8cf">CONST_LR_MAX</a></div><div class="ttdeci">static const float CONST_LR_MAX</div><div class="ttdoc">up limit</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00104">DayZPlayerCamera1stPerson.c:104</a></div></div>
<div class="ttc" id="a_day_z_player_camera1st_person_8c_html_a8c964c0226b8a1a695e2917d468342bf"><div class="ttname"><a href="../../d1/d53/_day_z_player_camera1st_person_8c.html#a8c964c0226b8a1a695e2917d468342bf">m_fUpDownAngle</a></div><div class="ttdeci">protected float m_fUpDownAngle</div><div class="ttdoc">up down angle in rad</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00183">DayZPlayerCamera1stPerson.c:183</a></div></div>
<div class="ttc" id="a_day_z_player_camera1st_person_8c_html_aa59814833643a675cf580aa2bc0314bf"><div class="ttname"><a href="../../d1/d53/_day_z_player_camera1st_person_8c.html#aa59814833643a675cf580aa2bc0314bf">CONST_UD_MIN</a></div><div class="ttdeci">static const float CONST_UD_MIN</div><div class="ttdoc">down limit</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00100">DayZPlayerCamera1stPerson.c:100</a></div></div>
<div class="ttc" id="a_day_z_player_camera3rd_person_8c_html_a8203c3f3fbccb8a905f60312602a775d"><div class="ttname"><a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a8203c3f3fbccb8a905f60312602a775d">m_fRoll</a></div><div class="ttdeci">protected float m_fRoll</div><div class="ttdoc">camera roll</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00292">DayZPlayerCamera3rdPerson.c:292</a></div></div>
<div class="ttc" id="a_day_z_player_camera3rd_person_8c_html_ac4686aa51bae4031b84b18735efab3cf"><div class="ttname"><a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ac4686aa51bae4031b84b18735efab3cf">m_CameraOffsetMS</a></div><div class="ttdeci">protected vector m_CameraOffsetMS</div><div class="ttdoc">model space offset</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00287">DayZPlayerCamera3rdPerson.c:287</a></div></div>
<div class="ttc" id="a_day_z_player_camera___base_8c_html_a589903243b2ce2813cb247cc13c8ff58"><div class="ttname"><a href="../../d3/dd8/_day_z_player_camera___base_8c.html#a589903243b2ce2813cb247cc13c8ff58">StdFovUpdate</a></div><div class="ttdeci">void StdFovUpdate(float pDt, out DayZPlayerCameraResult pOutResult)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dd8/_day_z_player_camera___base_8c_source.html#l00217">DayZPlayerCamera_Base.c:217</a></div></div>
<div class="ttc" id="a_day_z_player_camera___base_8c_html_a81c88a1a4620503a53c8a11a368e4e3f"><div class="ttname"><a href="../../d3/dd8/_day_z_player_camera___base_8c.html#a81c88a1a4620503a53c8a11a368e4e3f">UpdateLRAngle</a></div><div class="ttdeci">float UpdateLRAngle(float pAngle, float pMin, float pMax, float pDt)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dd8/_day_z_player_camera___base_8c_source.html#l00183">DayZPlayerCamera_Base.c:183</a></div></div>
<div class="ttc" id="a_day_z_player_camera___base_8c_html_ae9475fb9f56d8508d7f87d20aae0a5a2"><div class="ttname"><a href="../../d3/dd8/_day_z_player_camera___base_8c.html#ae9475fb9f56d8508d7f87d20aae0a5a2">UpdateUDAngle</a></div><div class="ttdeci">float UpdateUDAngle(out float pAngle, out float pAngleAdd, float pMin, float pMax, float pDt)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dd8/_day_z_player_camera___base_8c_source.html#l00131">DayZPlayerCamera_Base.c:131</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_a150e4ced5563248701962a04d2afd9de"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a150e4ced5563248701962a04d2afd9de">m_fLagOffsetVelocityX</a></div><div class="ttdeci">protected float m_fLagOffsetVelocityX[1]</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00152">DayZPlayerCameraVehicles.c:152</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_a24a309bcd5676bce950b1f4068864c86"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a24a309bcd5676bce950b1f4068864c86">DayZPlayerCamera3rdPersonVehicle</a></div><div class="ttdeci">void DayZPlayerCamera3rdPersonVehicle(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00028">DayZPlayerCameraVehicles.c:28</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_a30783c7528d0e3819ba75923831cc9b2"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a30783c7528d0e3819ba75923831cc9b2">m_fLagOffsetVelocityY</a></div><div class="ttdeci">protected float m_fLagOffsetVelocityY[1]</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00153">DayZPlayerCameraVehicles.c:153</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_a55240dac7e561d82b5d0f361780a617b"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a55240dac7e561d82b5d0f361780a617b">CONST_ANGULAR_LAG_PITCH_STRENGTH</a></div><div class="ttdeci">const float CONST_ANGULAR_LAG_PITCH_STRENGTH</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00026">DayZPlayerCameraVehicles.c:26</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_a575242dfe0904c8ea7d17d70bfe9eea0"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a575242dfe0904c8ea7d17d70bfe9eea0">m_fLagOffsetVelocityPitch</a></div><div class="ttdeci">protected float m_fLagOffsetVelocityPitch[1]</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00156">DayZPlayerCameraVehicles.c:156</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_a5e4b34e7688bea3621ab9e2bf050c83a"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a5e4b34e7688bea3621ab9e2bf050c83a">m_LagOffsetOrientation</a></div><div class="ttdeci">protected vector m_LagOffsetOrientation</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00151">DayZPlayerCameraVehicles.c:151</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_a671ab93059a7416024074b87f75a0af2"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a671ab93059a7416024074b87f75a0af2">m_fLagOffsetVelocityZ</a></div><div class="ttdeci">protected float m_fLagOffsetVelocityZ[1]</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00154">DayZPlayerCameraVehicles.c:154</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_a8ce8a949f867219b939076c38dfd7ad5"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a8ce8a949f867219b939076c38dfd7ad5">m_fLagOffsetVelocityRoll</a></div><div class="ttdeci">protected float m_fLagOffsetVelocityRoll[1]</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00157">DayZPlayerCameraVehicles.c:157</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_aa413452c118357e4d04733037afa33bc"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa413452c118357e4d04733037afa33bc">m_Transport</a></div><div class="ttdeci">protected Transport m_Transport</div><div class="ttdoc">cache</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00160">DayZPlayerCameraVehicles.c:160</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_aa718470c447e740b583983eb0515a8ac"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#aa718470c447e740b583983eb0515a8ac">m_LagOffsetPosition</a></div><div class="ttdeci">protected vector m_LagOffsetPosition</div><div class="ttdoc">lag offsets</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00150">DayZPlayerCameraVehicles.c:150</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_ab23712a8bed3b8d9696244631b2961c5"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#ab23712a8bed3b8d9696244631b2961c5">CONST_ANGULAR_LAG_YAW_STRENGTH</a></div><div class="ttdeci">const float CONST_ANGULAR_LAG_YAW_STRENGTH</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00025">DayZPlayerCameraVehicles.c:25</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_addfc13f55cec998d9d29977e167b3471"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#addfc13f55cec998d9d29977e167b3471">m_fLagOffsetVelocityYaw</a></div><div class="ttdeci">protected float m_fLagOffsetVelocityYaw[1]</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00155">DayZPlayerCameraVehicles.c:155</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera1st_person_html"><div class="ttname"><a href="../../d0/d7a/class_day_z_player_camera1st_person.html">DayZPlayerCamera1stPerson</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00004">DayZPlayerCameraVehicles.c:5</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera1st_person_html_ad521c450084cc752dcaae33130b9caa9"><div class="ttname"><a href="../../d0/d7a/class_day_z_player_camera1st_person.html#ad521c450084cc752dcaae33130b9caa9">DayZPlayerCamera1stPerson::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float pDt, out DayZPlayerCameraResult pOutResult)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00006">DayZPlayerCameraVehicles.c:6</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera_base_html"><div class="ttname"><a href="../../da/d73/class_day_z_player_camera_base.html">DayZPlayerCameraBase</a></div><div class="ttdoc">this is main camera class</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00004">DayZPlayerCamera1stPerson.c:5</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera_base_html_a110820ab01cf1010846e327564558865"><div class="ttname"><a href="../../da/d73/class_day_z_player_camera_base.html#a110820ab01cf1010846e327564558865">DayZPlayerCameraBase::m_fUpDownAngleAdd</a></div><div class="ttdeci">protected float m_fUpDownAngleAdd</div><div class="ttdoc">up down angle in rad</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00090">DayZPlayerCamera1stPerson.c:90</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera_base_html_a5b7f02ff7c9ef90bda6e6488a5ffb029"><div class="ttname"><a href="../../da/d73/class_day_z_player_camera_base.html#a5b7f02ff7c9ef90bda6e6488a5ffb029">DayZPlayerCameraBase::m_fUpDownAngle</a></div><div class="ttdeci">protected float m_fUpDownAngle</div><div class="ttdoc">up down angle in rad</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00089">DayZPlayerCamera1stPerson.c:89</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera_base_html_a74a135f3e9271990f066deaa4ee1b5e0"><div class="ttname"><a href="../../da/d73/class_day_z_player_camera_base.html#a74a135f3e9271990f066deaa4ee1b5e0">DayZPlayerCameraBase::m_fRoll</a></div><div class="ttdeci">protected float m_fRoll</div><div class="ttdoc">camera roll</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00136">DayZPlayerCamera3rdPerson.c:136</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera_base_html_a7efbf40fc09b040ad1b1471ed3ddb152"><div class="ttname"><a href="../../da/d73/class_day_z_player_camera_base.html#a7efbf40fc09b040ad1b1471ed3ddb152">DayZPlayerCameraBase::GetBaseAngles</a></div><div class="ttdeci">override vector GetBaseAngles()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00072">DayZPlayerCamera1stPerson.c:72</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera_base_html_ab153b2bf470892517b79314032728237"><div class="ttname"><a href="../../da/d73/class_day_z_player_camera_base.html#ab153b2bf470892517b79314032728237">DayZPlayerCameraBase::m_fLeftRightAngle</a></div><div class="ttdeci">protected float m_fLeftRightAngle</div><div class="ttdoc">left right angle in rad (in freelook only)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00091">DayZPlayerCamera1stPerson.c:91</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera_base_html_ae2cd3be5771ad219167942dbdc914010"><div class="ttname"><a href="../../da/d73/class_day_z_player_camera_base.html#ae2cd3be5771ad219167942dbdc914010">DayZPlayerCameraBase::m_fDistance</a></div><div class="ttdeci">protected float m_fDistance</div><div class="ttdoc">distance from start</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00133">DayZPlayerCamera3rdPerson.c:133</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera_base_html_af2f9ec60ef29bd4f1928685748d5d2cd"><div class="ttname"><a href="../../da/d73/class_day_z_player_camera_base.html#af2f9ec60ef29bd4f1928685748d5d2cd">DayZPlayerCameraBase::m_CameraOffsetMS</a></div><div class="ttdeci">protected vector m_CameraOffsetMS</div><div class="ttdoc">model space offset</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00131">DayZPlayerCamera3rdPerson.c:131</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera_result_html"><div class="ttname"><a href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00011">dayzplayer.c:12</a></div></div>
<div class="ttc" id="aclass_human_command_vehicle_html"><div class="ttname"><a href="../../d1/d1f/class_human_command_vehicle.html">HumanCommandVehicle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00619">human.c:620</a></div></div>
<div class="ttc" id="aclass_human_command_vehicle_html_a18b717b3c3242230c10df1b46beb7159"><div class="ttname"><a href="../../d1/d1f/class_human_command_vehicle.html#a18b717b3c3242230c10df1b46beb7159">HumanCommandVehicle::GetTransport</a></div><div class="ttdeci">proto native Transport GetTransport()</div></div>
<div class="ttc" id="aclass_human_input_controller_html"><div class="ttname"><a href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00014">human.c:15</a></div></div>
<div class="ttc" id="aclass_transport_html"><div class="ttname"><a href="../../d3/d36/class_transport.html">Transport</a></div><div class="ttdoc">Base native class for all motorized wheeled vehicles.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d06/_car_8c_source.html#l00059">Car.c:60</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvector_html_a0efaf736c81403ae7995d750442e7213"><div class="ttname"><a href="../../d7/dfc/classvector.html#a0efaf736c81403ae7995d750442e7213">vector::InvMultiply4</a></div><div class="ttdeci">proto vector InvMultiply4(vector mat[4])</div><div class="ttdoc">Invert-transforms position.</div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00103">EnConvert.c:103</a></div></div>
<div class="ttc" id="aclassvector_html_aacb468e25c49cbc012daf8933f81383c"><div class="ttname"><a href="../../d7/dfc/classvector.html#aacb468e25c49cbc012daf8933f81383c">vector::InvMultiply3</a></div><div class="ttdeci">proto vector InvMultiply3(vector mat[3])</div><div class="ttdoc">Invert-transforms vector.</div></div>
<div class="ttc" id="adayzplayer_8c_html_a5aab5f37d2ece729777e698c49dd1395"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a5aab5f37d2ece729777e698c49dd1395">m_fDistance</a></div><div class="ttdeci">float m_fDistance</div><div class="ttdoc">camera distance (external cameras only)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00057">dayzplayer.c:57</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a84d97e109f93693b18a98f01971bb1ad"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a84d97e109f93693b18a98f01971bb1ad">m_pPlayer</a></div><div class="ttdeci">protected DayZPlayer m_pPlayer</div><div class="ttdoc">data</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00104">dayzplayer.c:104</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_aec7df242d6c8a470331cdb4d38bb4ab4"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#aec7df242d6c8a470331cdb4d38bb4ab4">DayZPlayerCamera</a></div><div class="ttdeci">class DayZPlayerCameraResult DayZPlayerCamera(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00001">dayzplayer.c:50</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_ga7a602543dd777930a13b8624d6c65b36"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#ga7a602543dd777930a13b8624d6c65b36">IEntity::GetOrigin</a></div><div class="ttdeci">proto native external vector GetOrigin()</div><div class="ttdoc">Returns origin of Entity.</div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_da/d94/class_math3_d"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#da/d94/class_math3_d">Math3D</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d4c/_en_math3_d_8c_source.html#l00027">EnMath3D.c:28</a></div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_ga91222ac45b26b806e50d1d77268114de"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#ga91222ac45b26b806e50d1d77268114de">Math3D::YawPitchRollMatrix</a></div><div class="ttdeci">static proto void YawPitchRollMatrix(vector ang, out vector mat[3])</div><div class="ttdoc">Creates rotation matrix from angles.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gad73851cb23a468ee6eb705d0ec76e141"><div class="ttname"><a href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">Math::RAD2DEG</a></div><div class="ttdeci">static const float RAD2DEG</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00016">EnMath.c:16</a></div></div>
<div class="ttc" id="agroup___math_html_gae5ee54bb2c75e1edd71b0c0feef2b01b"><div class="ttname"><a href="../../d5/d98/group___math.html#gae5ee54bb2c75e1edd71b0c0feef2b01b">Math::SmoothCD</a></div><div class="ttdeci">static proto float SmoothCD(float val, float target, inout float velocity[], float smoothTime, float maxVelocity, float dt)</div><div class="ttdoc">Does the CD smoothing function - easy in | easy out / S shaped smoothing.</div></div>
<div class="ttc" id="agroup___rigid_body_html_ga3e827787960ad4f9fd63618e6bf20e8a"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#ga3e827787960ad4f9fd63618e6bf20e8a">GetVelocity</a></div><div class="ttdeci">proto native vector GetVelocity(notnull IEntity ent)</div><div class="ttdoc">Returns linear velocity.</div></div>
<div class="ttc" id="agroup___rigid_body_html_gaeb67acf9489482364efa03358027e249"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#gaeb67acf9489482364efa03358027e249">dBodyGetAngularVelocity</a></div><div class="ttdeci">proto vector dBodyGetAngularVelocity(notnull IEntity body)</div><div class="ttdoc">Gets angular velocity for a rigidbody.</div></div>
<div class="ttc" id="agroup___tools_html_gab414e48870421e21bf5553f4033493b0"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gab414e48870421e21bf5553f4033493b0">OnUpdate</a></div><div class="ttdeci">proto native void OnUpdate()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00335">tools.c:335</a></div></div>
<div class="ttc" id="ahuman_8c_html_ad88f589957281ee7efebbc581b18bef1"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a></div><div class="ttdeci">class HumanMovementState OnActivate()</div><div class="ttdoc">HumanCommandScript fully scriptable command.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l01024">human.c:1086</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_eb54cb765a131a2c306884813be74251.html">ManBase</a></li><li class="navelem"><a class="el" href="../../dir_875127120f67bed94f68794f1f35b6fa.html">DayZPlayer</a></li><li class="navelem"><a class="el" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html">DayZPlayerCameraVehicles.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
